Skip to content

Rename

POST
/api/agents/{agent_id}/name
curl --request POST \
--url https://agentauthority.org/api/agents/example/name \
--header 'Content-Type: application/json' \
--data '{ "name": "example" }'

Rename an agent. Its ID, history and signatures stay; the old address redirects for 90 days.

agent_id
required
Agent Id
string
Media typeapplication/json
Rename
object
name
required
Name
string
<= 60 characters

Example generated

{
"name": "example"
}

Successful Response

Media typeapplication/json

Example generated

example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}